--- makemkv-oss-install.patch.orig
+++ makemkv-oss-install.patch
@@ -1,11 +1,18 @@
---- makemkv_v1.7.1_oss/makefile.linux.orig	2012-02-05 22:22:53.236986757 +0100
-+++ makemkv_v1.7.1_oss/makefile.linux	2012-02-05 22:27:05.328987947 +0100
-@@ -14,7 +14,7 @@
- BUILDINFO_BUILD_DATE=$(shell date)
- DESTDIR=
- PREFIX=/usr
--LIBDIR=${PREFIX}/lib
-+LIBDIR?=${PREFIX}/lib
+--- makemkv_v1.7.0_oss/makefile.linux.orig	2011-10-28 00:34:50.000000000 +0200
++++ makemkv_v1.7.0_oss/makefile.linux	2011-11-30 19:03:07.840932523 +0100
+@@ -25,12 +25,12 @@
+ 	rm -f $(DESTDIR)/usr/lib/libdriveio.so.0
+ 	rm -f $(DESTDIR)/usr/lib/libmakemkv.so.1
+ 	rm -f $(DESTDIR)/usr/bin/makemkv
+-	install -t $(DESTDIR)/usr/lib out/libdriveio.so.0 out/libmakemkv.so.1
++	install -t $(DESTDIR)$(LIBDIR) out/libdriveio.so.0 out/libmakemkv.so.1
+ ifndef DESTDIR
+ 	ldconfig
+ endif
+-	install -d $(DESTDIR)/usr/bin
+-	install -t $(DESTDIR)/usr/bin out/makemkv
++	install -d $(DESTDIR)$(BINDIR)
++	install -t $(DESTDIR)$(BINDIR) out/makemkv
  
- 
- all: out/libdriveio.so.0 out/libmakemkv.so.1 out/makemkv
+ out/%: out/%.full
+ 	objcopy --strip-all --strip-debug --strip-unneeded --discard-all $< $@ 
--- makemkv.changes.orig
+++ makemkv.changes
@@ -1,9 +1,15 @@
 -------------------------------------------------------------------
+Mon May 28 17:38:57 UTC 2012 - cs@linux-administrator.com
+
+- update to version 1.7.4 
+
+-------------------------------------------------------------------
 Sun Feb  5 21:28:43 UTC 2012 - cs@linux-administrator.com
 
 - update to version 1.7.1 
 
 -------------------------------------------------------------------
+>>>>>>> ./makemkv.changes.rb36f344dc573559ffbc1b5618d81a3bf
 Wed Dec 28 19:47:51 UTC 2011 - cs@linux-administrator.com
 
 - update to version 1.7.0 
--- makemkv.spec.orig
+++ makemkv.spec
@@ -6,19 +6,19 @@
 # norootforbuild
 
 Name:            makemkv
-Version:	1.7.1
+Version:	1.7.7
 Release:	1
 Summary:	One-click video converter
 Group:		Multimedia
 License:	unknown
 Url:		http://www.makemkv.com/
-BuildRequires:	gcc-c++ openssl-devel libqt4-devel Mesa-devel MesaGLw-devel
+BuildRequires:  libexpat-devel
+BuildRequires:	gcc-c++ openssl-devel libqt4-devel Mesa-devel
 BuildRequires:	update-desktop-files
 BuildRequires:	-brp-check-suse
-Source0:	makemkv_v%{version}_oss.tar.bz2
-Source1:	makemkv_v%{version}_bin.tar.bz2
+Source0:	makemkv-oss-%{version}.tar.bz2
+Source1:	makemkv-bin-%{version}.tar.bz2
 Source2:	playBluRay.tar.bz2
-Patch0:		makemkv-oss-install.patch
 Patch2:		playBluRay-vlc.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
 AutoReqProv:    on
@@ -33,15 +33,14 @@ Authors:
     Name Surname 
 %prep
 %setup -n %{name} -c -T -a 0 -b 1 -b 2
-%patch0
 %patch2
 
 %build
-cd makemkv_v%{version}_oss
+cd makemkv-oss-%{version}
 mkdir -p tmp
 touch tmp/eula_accepted
 make -f makefile.linux %{?jobs:-j%jobs}
-cd ../makemkv_v%{version}_bin
+cd ../makemkv-bin-%{version}
 mkdir -p tmp
 touch tmp/eula_accepted
 make -f makefile.linux %{?jobs:-j%jobs}
@@ -50,10 +49,10 @@ make -f makefile.linux %{?jobs:-j%jobs}
 mkdir -p %{buildroot}%{_bindir}
 mkdir -p %{buildroot}%{_libdir}
 mkdir -p %{buildroot}%{_datadir}/MakeMKV
-cd makemkv_v%{version}_oss
-make -f makefile.linux DESTDIR=%{buildroot} BINDIR=%{_bindir} LIBDIR=%{_libdir} install
-cd ../makemkv_v%{version}_bin
-make -f makefile.linux DESTDIR=%{buildroot} BINDIR=%{_bindir} LIBDIR=%{_libdir} install
+cd makemkv-oss-%{version}
+make -f makefile.linux DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} install
+cd ../makemkv-bin-%{version}
+make -f makefile.linux DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} install
 cd ../playBluRay/
 install -m0755 playBluRay.sh %{buildroot}%{_bindir}/playBluRay
 install -D -m0644 playBluRay-icon.png %{buildroot}%{_datadir}/pixmaps/playbluray.png
@@ -70,6 +69,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_bindir}/playBluRay
 %{_bindir}/makemkv
 %{_bindir}/makemkvcon
+%{_bindir}/mmdtsdec
 %{_libdir}/libdriveio.so.0
 %{_libdir}/libmakemkv.so.1
 %dir %{_datadir}/MakeMKV
@@ -82,6 +82,7 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/pixmaps/playbluray.png
 %{_datadir}/applications/playBluRay.desktop
 %{_datadir}/MakeMKV/default.mmcp.xml
+%{_datadir}/MakeMKV/flac.mmcp.xml
 %{_datadir}/applications/makemkv.desktop
 %dir %{_datadir}/icons/hicolor
 %dir %{_datadir}/icons/hicolor/128x128
